Skip to main content
GET
List Outbound Webhooks

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

flow_type
enum<string>

Required. Outbound flow type. Uppercased server-side.

Available options:
DICT,
PAYMENT,
COLLECTION,
PIX,
TRANSFER,
REFUND,
RECURRING
entity_type
string

Filter by internal entity type. Examples: CLAIM, REFUND, INFRACTION_REPORT under flow_type=DICT; CASHIN, CASHOUT under flow_type=TRANSFER or REFUND.

entity_id
string

Filter by entity id in UUID format

status
enum<string>

Filter by status. DEAD_LETTER is a virtual, API-only value that surfaces dead-lettered webhooks.

Available options:
PENDING,
PROCESSING,
SENT,
FAILED,
DEAD_LETTER
request_id
string

Filter by originating request id

created_after
string

Filter rows with created_at >= this RFC3339 timestamp

created_before
string

Filter rows with created_at <= this RFC3339 timestamp

limit
integer
default:10

Maximum number of items per page.

Required range: 1 <= x <= 100
page
integer
default:1

Page number for pagination.

Required range: x >= 1

Response

OK

items
object[]
limit
integer
Example:

20

page
integer
Example:

1

totalItems
integer
Example:

42